org.fourthline.cling.model.meta

## Enum ActionArgument.Direction

- java.lang.Object
- - java.lang.Enum<ActionArgument.Direction>
  - - org.fourthline.cling.model.meta.ActionArgument.Direction

- All Implemented Interfaces:
    Serializable, Comparable<ActionArgument.Direction>
  Enclosing class:
    ActionArgument<S extends Service>

      public static enum ActionArgument.Direction
      extends Enum<ActionArgument.Direction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN`
    `OUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionArgument.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ActionArgument.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final ActionArgument.Direction IN

    - #### OUT

          public static final ActionArgument.Direction OUT

  - ### Method Detail

    - #### values

          public static ActionArgument.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionArgument.Direction c : ActionArgument.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionArgument.Direction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.